# FOSS Galaxy Game Library

A library for building FOSS Games, Educational Resources and Academic Experiments.

## Development Instructions

### Building
It's designed to be a fairly standard cmake project, so the standard cmake steps should work:

```bash
mkdir build
cd build
cmake ..
make
```

The library should also build the test scene (`demo`). There is a shellscript in the root of the
project that will build the project and run the demo project in gdb.

Most of the dependencies should be downloaded automatically. If you're on X don't use glfw from the
Fedora repos, it won't work (it's configured for Wayland). The version the project builds should work.

### Useful Tools
The following tools are helpful for development:

* Valgrind (see the ways in which memory is messed up)
* RenderDoc (see what's being sent to the GPU)
* GDB (see what caused the crash this time)
* An Editor/IDE (I'm using neovim with a bit of clion)
