#ifndef FGGL_GFX_CAMERA_H
#define FGGL_GFX_CAMERA_H

#include <fggl/math/types.hpp>

namespace fggl::gfx {

	struct Camera {
		constexpr const static char name[] = "Camera";
		math::vec3 target = math::vec3(0.0f, 0.0f, 0.0f);
		float aspectRatio = 1280.0f / 720.0f;
		float fov = glm::radians(45.0f);
		float nearPlane = 0.1f;
		float farPlane = 100.0f;
	};

};

#endif
